Package org.jboss.resteasy.plugins.validation

## Class ResteasyViolationExceptionMapper

- java.lang.Object
- - org.jboss.resteasy.plugins.validation.ResteasyViolationExceptionMapper

- All Implemented Interfaces:
    `javax.ws.rs.ext.ExceptionMapper<javax.validation.ValidationException>`

      @Provider
      public class ResteasyViolationExceptionMapper
      extends Object
      implements javax.ws.rs.ext.ExceptionMapper<javax.validation.ValidationException>

  Version:
    $Revision: 1.1 $ Created Mar 31, 2012
  Author:
    Ron Sigal

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResteasyViolationExceptionMapper()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected javax.ws.rs.core.Response` | `buildResponse​(Object entity, String mediaType, javax.ws.rs.core.Response.Status status)` |
    `protected javax.ws.rs.core.Response` | `buildViolationReportResponse​(ResteasyViolationException exception, javax.ws.rs.core.Response.Status status)` |
    `javax.ws.rs.core.Response` | `toResponse​(javax.validation.ValidationException exception)` |
    `protected String` | `unwrapException​(Throwable t)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResteasyViolationExceptionMapper

          public ResteasyViolationExceptionMapper()

  - ### Method Detail

    - #### toResponse

          public javax.ws.rs.core.Response toResponse​(javax.validation.ValidationException exception)

      Specified by:
        `toResponse` in interface `javax.ws.rs.ext.ExceptionMapper<javax.validation.ValidationException>`

    - #### buildResponse

          protected javax.ws.rs.core.Response buildResponse​(Object entity,
                                                            String mediaType,
                                                            javax.ws.rs.core.Response.Status status)

    - #### buildViolationReportResponse

          protected javax.ws.rs.core.Response buildViolationReportResponse​(ResteasyViolationException exception,
                                                                           javax.ws.rs.core.Response.Status status)

    - #### unwrapException

          protected String unwrapException​(Throwable t)